%define framework kcm_touchpad

Name:           kf5-%{framework}
Version:        5.1.96
Release:        1%{?dist}
Summary:        KDE Control Module for Touchpad Configuration

License:        GPLv2+
URL:            http://www.kde.org
# git archive --format=tar --prefix=%{framework}-%{version}/ \
#             --remote=git://anongit.kde.org/%{framework}.git master | \
# bzip2 -c > %{name}-%{version}-%{snapshot}git.tar.bz2
#Source0:        %{name}-%{version}-%{snapshot}git.tar.bz2
Source0:        http://download.kde.org/stable/frameworks/%{version}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel

BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kded-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  kf5-plasma-devel

BuildRequires:	libxcb-devel
BuildRequires:	libXi-devel
BuildRequires:	xorg-x11-server-devel
BuildRequires:	xorg-x11-drv-synaptics-devel

Requires:       kf5-filesystem
Requires:       kf5-plasma
Requires:       dbus
Requires:       hicolor-icon-theme


%description
KDE Configuration module for Touchpad settings

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	kf5-kcmutils-devel
Requires:	kf5-kconfig-devel
Requires:	kf5-kcoreaddons-devel
Requires:	kf5-kconfigwidgets-devel
Requires:	kf5-kdbusaddons-devel
Requires:	kf5-kcompletion-devel
Requires:	kf5-kinit-devel
Requires:	kf5-kservice-devel
Requires:	kf5-kwidgetsaddons-devel
Requires:	kf5-ki18n-devel
Requires:	kf5-knotifyconfig-devel
Requires:	kf5-kglobalaccel-devel
Requires:	kf5-plasma-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n kcm-touchpad


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%make_install -C %{_target_platform}
#%find_lang %{name}


#%files -f %{name}.lang
%files
%doc COPYING README.md
%dir %{_kf5_datadir}/plasma/plasmoids/touchpad/
%dir %{_kf5_datadir}/plasma/plasmoids/touchpad/contents/ui
%{_kf5_bindir}/kcm-touchpad-list-devices
%{_kf5_qtplugindir}/*.so
%{_kf5_qtplugindir}/plasma/dataengine/*.so
#%{_kf5_datadir}/dbus-1/services/*.service
%{_kf5_datadir}/plasma/desktoptheme/default/icons/touchpad.svg
%{_kf5_datadir}/icons/hicolor/*/*/*.png
%{_kf5_datadir}/icons/hicolor/scalable/devices/*.svgz
%{_kf5_datadir}/knotifications5/kcm_touchpad.notifyrc
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservices5/kded/*.desktop
%{_kf5_datadir}/plasma/plasmoids/touchpad/metadata.desktop
%{_kf5_datadir}/plasma/plasmoids/touchpad/contents/ui/touchpad.qml
%{_kf5_datadir}/plasma/services/touchpad.operations
%{_kf5_datadir}/config.kcfg/*.kcfg

%files devel
%{_kf5_datadir}/dbus-1/interfaces/*.xml


%changelog
* Sat Jan 10 2015 Rajeesh K V <rajeesh@inflo.ws> - 5.1.96-1
- Set global shortcut for Touchpad enable/disable/toggle

* Sun Aug 24 2014 Rajeesh K V <rajeesh@inflo.ws> - 1.1-1
- KDE Frameworks 5.1.0 and Plasma 5 port
